<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="horizontal"
    android:padding="10dp"
    tools:ignore="MissingDefaultResource">

    <TextView
        android:id="@+id/row_number"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginTop="15dp"/>

    <com.google.android.material.textfield.TextInputLayout
        android:layout_width="100dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="10dp"
        android:focusableInTouchMode="true">

        <AutoCompleteTextView
            android:id="@+id/breed"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/breed"
            android:imeOptions="flagNoExtractUi" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:layout_width="100dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="10dp"
        >

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/diameter"
            android:imeOptions="flagNoExtractUi"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/diameter"
            android:inputType="numberDecimal"/>

    </com.google.android.material.textfield.TextInputLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/category" />

        <Spinner
            android:id="@+id/categorySpinner"
            android:layout_width="120dp"
            android:layout_height="40dp"
            android:spinnerMode="dialog" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/tier" />

        <Spinner
            android:id="@+id/tierSpinner"
            android:layout_width="80dp"
            android:layout_height="40dp"
            android:spinnerMode="dialog" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/generation" />

        <Spinner
            android:id="@+id/generationSpinner"
            android:layout_width="80dp"
            android:layout_height="40dp"
            android:spinnerMode="dialog" />
    </LinearLayout>


    <ImageButton
        android:id="@+id/editButton"
        android:layout_width="50dp"
        android:layout_height="match_parent"
        android:background="@null"
        app:srcCompat="@android:drawable/ic_menu_edit" />

    <ImageButton
        android:id="@+id/saveButton"
        android:layout_width="50dp"
        android:layout_height="match_parent"
        android:background="@null"
        app:srcCompat="@android:drawable/ic_menu_save" />

    <ImageButton
        android:id="@+id/deleteButton"
        android:layout_width="50dp"
        android:layout_height="match_parent"
        android:background="@null"
        app:srcCompat="@android:drawable/ic_menu_delete" />
</LinearLayout>